## burner-burn-lib

burner-burn-lib

## Functions

gboolean | burner_burn_library_start ()
void | burner_burn_library_stop ()
GOptionGroup * | burner_burn_library_get_option_group ()
GSList * | burner_burn_library_get_plugins_list ()
gboolean | burner_burn_library_can_checksum ()
BurnerBurnResult | burner_burn_library_input_supported ()
BurnerMedia | burner_burn_library_get_media_capabilities ()

## Types and Values

#define | LIBBURNER_BURN_VERSION_MAJOR
#define | LIBBURNER_BURN_VERSION_MINOR
#define | LIBBURNER_BURN_VERSION_MICRO
#define | LIBBURNER_BURN_AGE

## Description

## Functions

### burner_burn_library_start ()

    gboolean
    burner_burn_library_start (int *argc,
                               char **argv[]);

Starts the library. This function must be called before using any of the functions.

Rename to: init

#### Parameters

argc | an int. |
argv | a char **. |

#### Returns

a gboolean

### burner_burn_library_stop ()

    void
    burner_burn_library_stop (void);

Stop the library. Don't use any of the functions or objects afterwards

Rename to: deinit

### burner_burn_library_get_option_group ()

    GOptionGroup *
    burner_burn_library_get_option_group (void);

Returns a GOptionGroup for the commandline arguments recognized by libburner-burn. You should add this to your GOptionContext if your are using `g_option_context_parse()` to parse your commandline arguments.

#### Returns

a GOptionGroup *

### burner_burn_library_get_plugins_list ()

    GSList *
    burner_burn_library_get_plugins_list (void);

This function returns the list of plugins that are available to libburner-burn.

#### Returns

a GSList that must be destroyed when not needed and each object unreffed.

[element-type GObject.Object][transfer full]

### burner_burn_library_can_checksum ()

    gboolean
    burner_burn_library_can_checksum (void);

Checks whether the library can do any kind of checksum at all.

#### Returns

a gboolean

### burner_burn_library_input_supported ()

    BurnerBurnResult
    burner_burn_library_input_supported (BurnerTrackType *type);

Checks whether `type` can be used as input.

#### Parameters

type | a BurnerTrackType |

#### Returns

a BurnerBurnResult

### burner_burn_library_get_media_capabilities ()

    BurnerMedia
    burner_burn_library_get_media_capabilities
                                   (BurnerMedia media);

Used to test what the library can do based on the medium type. Returns BURNER_MEDIUM_WRITABLE if the disc can be written and / or BURNER_MEDIUM_REWRITABLE if the disc can be erased.

#### Parameters

media | a BurnerMedia |

#### Returns

a BurnerMedia

## Types and Values

### LIBBURNER_BURN_VERSION_MAJOR

    #define             LIBBURNER_BURN_VERSION_MAJOR

### LIBBURNER_BURN_VERSION_MINOR

    #define             LIBBURNER_BURN_VERSION_MINOR

### LIBBURNER_BURN_VERSION_MICRO

    #define             LIBBURNER_BURN_VERSION_MICRO

### LIBBURNER_BURN_AGE

    #define             LIBBURNER_BURN_AGE